#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

int main(int argc, char* argv[])
{
    registerGen(argc, argv, 1);
    int n = opt<int>(1);
    int m=opt<int>(2);
    int has=opt<int>(3);
    cout<<n<<endl;
    for(int i=0;i<n;++i) {
        int v=501-rnd.next(1,m);
        if(i<100) {
            cout<<"= "<<v<<' '<<"async"<<endl;
        }
        else if(i==100) {
            cout<<"= "<<v<<' '<<"sync"<<endl;
        }
        else if(i%2==0) {
            cout<<"+ "<<v<<' '<<"sync"<<endl;
        }
        else {
            cout<<"+ "<<v<<' '<<"async"<<endl;
        }
    }
}
